package com.yaohun.aulivecode;

import com.yaohun.aulivecode.database.SqlManager;
import com.yaohun.aulivecode.util.GiftMoney;
import com.yaohun.aulivecode.util.SqlUtil;
import org.bukkit.Bukkit;
import org.bukkit.command.Command;
import org.bukkit.command.CommandSender;
import org.bukkit.configuration.file.FileConfiguration;
import org.bukkit.configuration.file.YamlConfiguration;
import org.bukkit.plugin.java.JavaPlugin;

import java.io.File;
import java.io.IOException;
import java.util.HashMap;

public class Main extends JavaPlugin {

    public static Main plugin;
    public static SqlUtil sqlUtil;
    public static SqlManager sqlManager;
    public static GiftMoney giftMoney;
    public static HashMap<String,ZhuboData> zhuboDataMap = new HashMap<>();

    @Override
    public void onEnable() {
        plugin = this;
        sqlManager = new SqlManager();
        giftMoney = new GiftMoney();
        LinkMySqlData();
        loadLiveIdSendLocal();
    }

    public void LinkMySqlData(){
        String SQL_Host = "gz-cdb-r9koldtt.sql.tencentcdb.com";
        String SQL_Port = "29320";
        String SQL_Users = "root";
        String SQL_Password = "Pixel@123456";
        String SQL_Database = "wllivestats";
        sqlUtil = new SqlUtil(SQL_Host,SQL_Port,SQL_Database,SQL_Users,SQL_Password);
        sqlManager.createTable();
        Bukkit.getConsoleSender().sendMessage("[直播数据] 数据库已连接.");
    }

    public void loadLiveIdSendLocal(){
        File file = new File("./plugins/McLiveAPI","config.yml");
        FileConfiguration  yml = YamlConfiguration.loadConfiguration(file);
        HashMap<String,String> stringStringHashMap = sqlManager.getAllZhuboData();
        for (String name : stringStringHashMap.keySet()) {
            String liveId = stringStringHashMap.get(name);
            yml.set("LiveId."+name,liveId);
            Bukkit.getConsoleSender().sendMessage("[日志 - 输出] 主播: "+name+"  抖音号: "+liveId);
        }
        // 保存配置文件
        try {
            yml.save(file);
        } catch (IOException e) {
            e.printStackTrace();
        }
    }

    @Override
    public boolean onCommand(CommandSender sender, Command command, String label, String[] args) {
        if(args.length == 0){
            sender.sendMessage("§r");
            sender.sendMessage("§e------- ======= §6蔚来 - 抖音号云储存 §e======= -------");
            sender.sendMessage("§2/aulive load §f- §2下载主播档案到本地");
            sender.sendMessage("§2/aulive download §e[主播名] §f- §2下载主播数据");
            sender.sendMessage("§2/aulive §e[主播名] §2<抖音号> §f- §2创建档案");
            sender.sendMessage("§e------- ======= §6蔚来 - 抖音号云储存 §e======= -------");
            sender.sendMessage("§r");
            return true;
        }
        if(args.length == 1 && args[0].equalsIgnoreCase("load") && sender.isOp()){
            loadLiveIdSendLocal();
            sender.sendMessage("[直播数据] 正在下载主播档案.");
        }
        if(args.length == 2 && args[0].equalsIgnoreCase("download") && sender.isOp()){
            String zhubo = args[1];
            Main.zhuboDataMap.put(zhubo,Main.sqlManager.getZhuboData(zhubo));
            sender.sendMessage("[直播数据] 正在下载主播档案.");
        }
        if(args.length == 2){
            String zhubo = args[0];
            String liveId = args[1];
            sqlManager.createAnchorProfile(zhubo,liveId);
            sender.sendMessage("[直播数据] 正在创建主播档案.");
        }
        return false;
    }

}
